| Home | Libraries | People | FAQ | More

## Struct template unary_expr

boost::proto::unary_expr — A metafunction for generating unary expression types with a specified tag type, a grammar element for matching unary expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    template<typename Tag, typename T>
    struct unary_expr :  proto::transform< unary_expr<Tag, T> > {
      // types
      typedef proto::expr< Tag, proto::list1< T > > type;
      typedef type                                  proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<unary_expr>::template impl<Expr, State, Data>
      {
      };
    };

## Description

Use `proto::unary_expr<proto::_, proto::_>` as a grammar element to match any unary expression.